import httpService from "@/request"

// 获取控制台信息
export function consoleShow(params) {
	return httpService({
		url: `/user/console/show`,
		method: 'get',
		params: params,
	})
}
// 入驻申请
export function settledInsert(params) {
	return httpService({
		url: `/user/settledApplication/insert`,
		method: 'post',
		data: params,
	})
}
// 新增小区
export function communityInsert(params) {
	return httpService({
		url: `/user/community/insert`,
		method: 'post',
		data: params,
	})
}

//获取当前账户所有小区信息
export function getAllCommunityInfo(params) {
	return httpService({
		url: `/user/community/getAllCommunityInfo`,
		method: 'get',
		params: params,
	})
}

// 创建订单
export function createOrder(params) {
	return httpService({
		url: `/user/order/createOrder`,
		method: 'post',
		data: params,
	})
}

// 订单绑定小区(门户网站)
export function userBindingCommunity(params) {
	return httpService({
		url: `/user/order/userBindingCommunity`,
		method: 'post',
		data: params,
	})
}

// 订单解绑小区(门户网站)
export function userUnbindingCommunity(params) {
	return httpService({
		url: `/user/order/userUnbindingCommunity`,
		method: 'get',
		params: params,
	})
}